package com.navinfo.outdoor.http;

import com.lzy.okgo.model.Response;
import com.lzy.okgo.request.base.Request;

/**
 * 作用：网络请求前显示一个dialog,请求结束后取消loading
 */

public abstract class DialogCallback<T> extends JsonCallback<T> {

    @Override
    public void onSuccess(Response<T> response) {

    }

    public DialogCallback( Class<T> tClass) {
        super(tClass);
    }


    @Override
    public void onStart(Request<T, ? extends Request> request) {

    }

    @Override
    public void onFinish() {
    }


}
